Get Metrics Evolution
curl --request GET \
--url 'https://api.example.com/circuits/{circuit_id}/metrics_evolution?HAIQU_API_KEY='import requests
url = "https://api.example.com/circuits/{circuit_id}/metrics_evolution?HAIQU_API_KEY="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/circuits/{circuit_id}/metrics_evolution?HAIQU_API_KEY=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"qubits": 2,
"depth": 123,
"depth_2q": 123,
"gates_1q": 123,
"gates_2q": 123,
"gates_total": 123,
"other_ops": 123,
"num_qubits_active": 123,
"num_parameters": 123,
"other_gates": 123,
"instructions_total": 123,
"operations_counts": {},
"gate_size_distribution": {},
"gate_diversity": {},
"gate_diversity_basis_gates": {},
"gate_count_distribution": {},
"program_communication": "N/A",
"critical_depth": "N/A",
"entanglement_ratio": "N/A",
"parallelism": "N/A",
"liveness_per_qubit": "N/A",
"liveness": "N/A",
"correlation_matrix": {},
"kl_divergence": "N/A",
"entanglement_capability": "N/A",
"expressibility": "N/A",
"quantum_fisher_information_matrix": "N/A",
"circuit_normalized": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Metrics Evolution
Get data for metrics evolution.
Args: circuit_id (str): ID of the circuit. user (User): User authenticated with api key.
Returns: list[CircuitAnalyticsModel]: Metrics evolution data.
GET
/
circuits
/
{circuit_id}
/
metrics_evolution
Get Metrics Evolution
Authorizations
APIKeyQueryAPIKeyHeader
Path Parameters
Response
Successful Response
Number of qubits (must be >= 1)
Required range:
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes